slfd.net
当前位置:首页>>关于ubuntu 软件包的资料>>

ubuntu 软件包

1 终端运行 sudo dpkg -i xxxx.deb xxxx.deb是你下载的软件包的名字 2 如果是apt-get下载的而没有安装, 那么重新运行 sudo apt-get install 软件包名字 即可 3 图形界面下 双击deb文件 可以多关注《Linux就该这么学》这本书,我都是从这里面学到的

三个方法 1 终端运行 sudo dpkg -i xxxx.deb xxxx.deb是你下载的软件包的名字 2 如果是apt-get下载的而没有安装, 那么重新运行 sudo apt-get install 软件包名字 即可 3 图形界面下 双击deb文件

两者的区别是dpkg绕过apt包管理数据库对软件包进行操作,所以你用dpkg安装过的软件包用apt可以再安装一遍,系统不知道之前安装过了,将会覆盖之前dpkg的安装。 1、dpkg是用来安装.deb文件,但不会解决模块的依赖关系,且不会关心ubuntu的软件仓库...

好像还不能直接安装rpm格式的软件包,但是有办法把你要的软件包转化成deb格式,因为Ubuntu是支持deb格式的嘛。 第一步: 安装alien:sudo apt-get install alien 第二步: 转换rpm为deb安装包;sudo alien xx.rpm 第三步 安装deb软件包;sudo dp...

1 终端运行 sudo dpkg -i xxxx.deb xxxx.deb是你下载的软件包的名字 2 如果是apt-get下载的而没有安装, 那么重新运行 sudo apt-get install 软件包名字 即可 3 图形界面下 双击deb文件

sudo dpkg -l

sudo apt-get autoclean sudo apt-get clean sudo apt-get autoremove check更新管理器,看是哪个软件包的问题,删了再装或装过再删。 重启后再试。 用VirtualBox吧,用它虚拟windows,那么在win下才能用的软件就可以用了,方便简单。

在 /var/cache/apt/archives , 重装时最好备份一下,最好还是把独立的分区到 /var/cache(也可以挂载到/var)吧,这样就不用每次重装都备份了

由于ubuntu 11.0.4默认安装的php版本 > 5.3,所以迫于无奈给自己的PHP降级了回到了远古的 php 5.2.6配合 zendoptiom的需要 升级非常简单,/etc/apt/source.list中的gutsy替换为hardy,然后aptitude update、aptitude safe-upgrade、aptitude dis...

ubuntu依赖的是deb包管理系统,不是rpm包管理系统。你要么使用这个命令:sudo apt-get install wine 要么下载wine的deb包格式,双击安装。

网站首页 | 网站地图
All rights reserved Powered by www.slfd.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com